--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersFillTypes by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.0.2 
-- 26-11-2021

RealNumbersFillTypes = {};

function RealNumbersFillTypes:loadMap(name)

	RN.fillTypes = {};
	RN.fillTypes.priceScale = 0.333;	-- default RLN value = 0.333 when Economy level = HARD; vanilla game = 1

		print("\n --- RealNumbersFillTypes.lua started --- \n");
		
		for i, v in pairs(g_currentMission.fillTypeManager.fillTypes) do
		  
			if g_currentMission.fillTypeManager.fillTypes[i].pricePerLiter  ~= nil then
				g_currentMission.fillTypeManager.fillTypes[i].pricePerLiter   = g_currentMission.fillTypeManager.fillTypes[i].pricePerLiter * RN.fillTypes.priceScale;
			end;
			if g_currentMission.fillTypeManager.fillTypes[i].startPricePerLiter   ~= nil then
				g_currentMission.fillTypeManager.fillTypes[i].startPricePerLiter    = g_currentMission.fillTypeManager.fillTypes[i].startPricePerLiter * RN.fillTypes.priceScale;
			end;
			if g_currentMission.fillTypeManager.fillTypes[i].previousHourPrice    ~= nil then
				g_currentMission.fillTypeManager.fillTypes[i].previousHourPrice     = g_currentMission.fillTypeManager.fillTypes[i].previousHourPrice * RN.fillTypes.priceScale;
			end;					
		end;	
		print("\n --- RealNumbersFillTypes.lua finished --- \n");

end;


function RealNumbersFillTypes:keyEvent(unicode, sym, modifier, isDown)
end;
function RealNumbersFillTypes:update(dt)
end;
function RealNumbersFillTypes:draw()
end;
function RealNumbersFillTypes:deleteMap()
end;
function RealNumbersFillTypes:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersFillTypes);







